pse 2019 installation fails: "operating system no longer supported"

Community Beginner ,
Jul 14, 2021 Jul 14, 2021

Copy link to clipboard

Copied

I am trying to install photoshop elements 2019 on a new Windows 10 x64 computer. I have downloaded the installer from my account and installed the latest updates to windows. Here is the message I get whern I try to run the installer.Screenshot 2021-07-14 193026.png

 

Here is the current information on my OS and Internet Explorer, which seems to be required according to Adobe for some reason, although Chrome is the browser I use.

Screenshot 2021-07-14 191145.png

 

Screenshot 2021-07-14 191222.png

 

Any help will be appreciated.

 

 

TOPICS
Installation

Views

3.9K

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Community Beginner , Jul 14, 2021 Jul 14, 2021
Resolved. PSE 2019 was purchased as an upgrade to PSE 15. I had to intall PSE 15 before the 2019 installer would work. Very confusing error message and the Adobe help page for this message was just further misdirection. Frustrating evening but all is well now.

Likes

Translate

Translate
Adobe Community Professional ,
Jul 14, 2021 Jul 14, 2021

Copy link to clipboard

Copied

It may be that Windows ENTERPRISE will not work with your program

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Jul 14, 2021 Jul 14, 2021

Copy link to clipboard

Copied

Resolved. PSE 2019 was purchased as an upgrade to PSE 15. I had to intall PSE 15 before the 2019 installer would work. Very confusing error message and the Adobe help page for this message was just further misdirection. Frustrating evening but all is well now.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Jul 15, 2021 Jul 15, 2021

Copy link to clipboard

Copied

LATEST

Upgrades generally do not need the prior version to be installed, you should only need to enter the prior serial number when asked

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines